package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.utils.MonitorFileUtils;

public class BaseDeleteRunner implements Runnable, IDelete {

    /**
     * 文件夹目录
     */
    private String dirPath = null;

    public BaseDeleteRunner(String dirPath) {
        this.dirPath = dirPath;
    }

    @Override
    public void delete(String dirPath) {
        MonitorFileUtils.removeBeforeTodayEmptyDir(dirPath);
    }

    @Override
    public void run() {
        delete(this.dirPath);
    }
}
