package com.zskk.dicom.monitor.queue;

/**
 * 当前上传队列(单例)
 */
public class CurrentUploadQueue extends BaseStringQueue {
    private CurrentUploadQueue() {
        super("CurrentUploadQueue");
    }

    @Override
    public String getQueueName() {
        return "CurrentUploadQueue";
    }

    private static class CurrentUploadQueueHolder {
         private static CurrentUploadQueue instance = new CurrentUploadQueue();
    }

    public static CurrentUploadQueue getInstance() {
          return CurrentUploadQueueHolder.instance;
    }

}
