package com.zskk.dicom.monitor.queue;

/**
 * 失败移动队列(单例)
 */
public class ErrorQueue extends BaseStringQueue {
    private ErrorQueue() {
        super("ErrorQueue");
    }

    @Override
    public String getQueueName() {
        return "ErrorQueue";
    }

    private static class ErrorQueueHolder {
        private static ErrorQueue instance = new ErrorQueue();
    }

    public static ErrorQueue getInstance() {
        return ErrorQueueHolder.instance;
    }
}
