package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.IQueue;

/**
 * 上传方法runner抽象类
 */
public abstract class AbstractUploadRunner extends BaseRunner implements IUpload{

    AbstractUploadRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    protected boolean handle() {
        return upload();
    }

    @Override
    protected RunnerAction action() {
        return RunnerAction.UPLOAD;
    }
}
